KYUA-REPORT(1)

NAME
report - Generates a plain-text report with the results of a test action

SYNOPSIS
report [--action id] [--output path] [--results-filter types] [--show-context] [--store file]

DESCRIPTION
The report command provides the mechanism to generate user-friendly, plain-text reports of the execution of a test suite. The command processes an action stored in the database and then creates a textual summary of the test case results recorded in that action. These reports are not intended to be machine-parseable.

The following subcommand options are recognized:

--action id
    Specifies the action for which to generate a report. If not provided, defaults to the latest action stored in the database.

--output path
    Specifies the path to which the report should be written to. The special values /dev/stdout and /dev/stderr can be used to specify the standard output and the standard error respectively.

--results-filter types
    Comma-separated list of the test result types to include in the report. The ordering of the values is respected so that you can determine how you want the list of tests to be shown.

    The valid values are: ‘broken’, ‘failed’, ‘passed’, ‘skipped’ and ‘xfail’. If the parameter supplied to the option is empty, filtering is suppressed and all result types are shown in the report.

    The default value for this flag includes all the test results except the passed tests. Showing the passed tests by default clutters the report with too much information, so only abnormal conditions are included.

--show-context
    Prints the runtime context of the action.

--store path, -s path
    Specifies the database to use. Defaults to ~/.kyua/store.db. The database is created if it does not exist.

EXIT STATUS
The report command always returns 0.

Additional exit codes may be returned as described in kyua(1).

SEE ALSO
kyua(1), kyua-report-html(1)